Supported Browsers

For the best budgeting experience, we recommend using the most recent version of one of these officially supported browsers (follow the links to see if any updates are available):


Support Has Ended for Internet Explorer

Internet Explorer (IE) has been removed from the list above, because it is no longer a supported browser as of April 30, 2019.

What does this mean?

If you use Internet Explorer, you'll want to switch to Chrome, Edge, or another supported browser. While you'll still be able to access your budget, if you use Internet Explorer after April 30, 2019, it’s important to know:

  • you may begin to notice bugs or less-than-optimal functionality over time. 
  • YNAB will no longer be testing for or resolving bugs experienced only on IE.
  • when bugs or technical issues are reported to our support team, you will be directed to a newer, supported browser.

Why was support ended?

Our developers spent a considerable amount of time avoiding and fixing IE-specific issues. Ending support allows us to use that time to build features and improve YNAB all-around. It also makes our developers happy (hearts and rainbows and confetti kind of happy).

Since Internet Explorer no longer receives major updates, it limits functionality. Even Microsoft is working to transition Internet Explorer users to their newer browser, Edge.

What do I need to do?

Start using Chrome, Edge, or another supported browser today! If you don’t know what browser you’re using, www.whatismybrowser.com can help. We’d also recommend changing your default browser.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us